#importer les bibliothèques
import matplotlib.pyplot as plt
import csv

#ouvrir le fichier contenant les données
f = open('nom_du_fichier.csv') #doit se trouver dans le même dossier que le programme python
fichier = csv.reader(f, delimiter=';')

#création de listes contenant les données récoltées : instant du pointage, abscisse de la balle à cet instant, ordonnée de la balle à ce même instant

T = []
X = []
Y =[]

for ligne in fichier:
    if ligne[0] == "" :
        a=1
    else:
        t = float(ligne[0].replace(',','.')) #on remplace la virgule par un point dans les données pour qu'elles soient bien lues comme des nombres
        x = float(ligne[1].replace(',','.'))
        y = float(ligne[3].replace(',','.'))
        T.append(t)
        X.append(x)
        Y.append(y)
        
print(T)
print(X)
print(Y)
n=len(T)
min_x = min(X)
max_x = max(X)
min_y = min(Y)
max_y = max(Y)
print(min_x)
print(max_x)
print(min_y)
print(max_y)
print(n)



#######################################################################
#######################################################################

#calcul coordonnées vecteur vitesse
vitesses_x = []
vitesses_y = []

##########################################################
#les élèves doivent écrire cette partie du programme-----*
#calculer les coordonnées du vecteur vitesse




 
############################################################


axes = plt.gca()
plt.axis('equal')
plt.title("trajectoire de la balle")
axes.set_xlim(min_x, max_x)
axes.set_ylim(min_y, max_y)
plt.xlabel("abscisses")
plt.ylabel("ordonnées")
###########################################################################
#tracer la trajectoire et les vecteurs vitesse
plt.plot(X, Y, "+")
for i in range(1,n-1):
    plt.quiver(X[i], Y[i], vitesses_x[i-1], vitesses_y[i-1], angles='xy')
plt.savefig('trajectoire.png') #enregistre le graphique dans un fichier image
###########################################################################
plt.show()
plt.close()

